Skip to content

List environment variables

GET
/api/v1/projects/{id}/env
curl --request GET \
--url https://api.deploybase.eu/api/v1/api/v1/projects/example/env \
--header 'Authorization: <Authorization>'

Returns keys and metadata for all environment variables (values are never returned)

id
required
string

Project ID

OK

Media type application/json
object
data
meta
object
request_id
string
timestamp
string
trace_id
string
data
Array<object>
object
created_at
string
environment
string
Allowed values: production preview all
id
string
key
string
project_id
string
targets
Array<string>
Allowed values: build runtime
updated_at
string
warnings

Warnings are accepted-but-risky conditions the caller should show (NODE_OPTIONS).

Array<string>

Example

{
"data": [
{
"environment": "production",
"targets": [
"build"
]
}
]
}

Unauthorized

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string

Example generated

{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Not Found

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string

Example generated

{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Live a8b7eb1d built